/*
 * Copyright (c) 2010 ISPRAS
 *
 * Institute for System Programming of the Russian Academy of Sciences (ISPRAS)
 * 25 A.Solzhenitsyn st. Moscow 109004 Russia
 *
 * http://hardware.ispras.ru
 */

#ifndef _SYNC_H_INCLUDED_
#define _SYNC_H_INCLUDED_

#define ACTION_START_OPERATION  1
#define ACTION_FINISH_OPERATION 2

#define START_SCENARIO(scenario_name, argc, argv) \
    start_scenario(start_##scenario_name, argc, argv)

int start_scenario(int(*scen)(int, char**), int argc, char **argv);
int end_scenario(void);

int  wait_for_apply(void);
void wait_for_check(void);

void apply_check(void);
void apply_finish(void);
void apply_operation(void);

#endif // _SYNC_H_INCLUDED_
